Apache 2.4.1 install

Pocket

Apache 2.4.1 をインストールしてみる.

2.4 系では,APR, APR-Utilは添付されなくなったようだ. 自分で取得してインストールすることにする. 一緒にインストールする手段もあるけど, 別に入れておいてもいいのでそちらの方法で.

$ cd work/apr-1.4.6
$ ./configure --prefix=/var/service/local
$ make
$ make test
$ make install
$ cd ../apr-util-1.4.1
$ ./configure --prefix=/var/service/local
$ make
$ make test
$ make install

httpd をインストール.configureの段階で足りないライブラリは足しておくこと.

$ ./configure --prefix=/var/service/local/apache24 \
    --with-apr=/var/service/local \
    --with-apr-util=/var/service/local \
    --enable-mods-shared="reallyall"
$ make
$ make install

特に問題なくインストール完了.

Leave a Reply

Your email address will not be published. Required fields are marked *

CAPTCHA * Time limit is exhausted. Please reload CAPTCHA.